Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/releases/1.2.4/configure

    r2977 r2985  
    10791079  --enable-debug-filtersqp
    10801080                          compile project FilterSQP with debug compiler flags
    1081 
    1082   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1081  --enable-doscompile     Under Cygwin, compile so that executables run under
     1082                          DOS. Set to mingw to use gcc/g++/ld with
     1083                          -mno-cygwin. Set to msvc to use cl/link (or
     1084                          icl/link). Default when mentioned: mingw. Default
     1085                          when not mentioned: disabled.
    10831086  --disable-pkg-config    disable use of pkg-config (if available)
    10841087  --disable-dependency-tracking  speeds up one-time build
     
    18711874
    18721875# Get the name of the Fortran compiler and appropriate compiler options
    1873 
    1874 
    1875   # for backward compatibility
    1876   # Check whether --enable-doscompile or --disable-doscompile was given.
    1877 if test "${enable_doscompile+set}" = set; then
    1878   enableval="$enable_doscompile"
    1879   enable_doscompile=$enableval
    1880 else
    1881   enable_doscompile=no
    1882 fi;
    1883 
    1884   # Check whether --enable-msvc or --disable-msvc was given.
    1885 if test "${enable_msvc+set}" = set; then
    1886   enableval="$enable_msvc"
    1887   enable_msvc=$enableval
    1888 else
    1889   enable_msvc=no
    1890      if test "$enable_doscompile" = msvc ; then
    1891        enable_msvc=yes
    1892      elif test "$enable_doscompile" != no ; then
    1893        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1894 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1895    { (exit 1); exit 1; }; }
    1896      fi
    1897 
    1898 fi;
    1899 
    1900   if test "$enable_msvc" = yes; then
    1901     case $build in
    1902       *-cygwin* | *-mingw*) ;;
    1903       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1904 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1905    { (exit 1); exit 1; }; } ;;
    1906     esac
    1907   fi
    1908 
    1909 
    1910  case $build in
     1876case $build in
    19111877  *-mingw*)
    19121878    if test "${LD+set}" = set; then :; else
     
    19151881    ;;
    19161882 esac
    1917  if test $enable_msvc = yes ; then
    1918    if test "x${LD+set}" = xset; then :; else
    1919      LD=link
     1883 case $enable_doscompile in
     1884   msvc)
     1885     if test "x${LD+set}" = xset; then :; else
     1886       LD=link
     1887     fi
     1888     ;;
     1889 esac
     1890
     1891
     1892 # Check whether --enable-doscompile or --disable-doscompile was given.
     1893if test "${enable_doscompile+set}" = set; then
     1894  enableval="$enable_doscompile"
     1895  if test "$enable_doscompile" != no; then
     1896     case $build in
     1897       *-cygwin* | *-mingw*) ;;
     1898       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1899echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1900   { (exit 1); exit 1; }; } ;;
     1901     esac
    19201902   fi
    1921  fi
     1903else
     1904  enable_doscompile=no
     1905fi;
     1906 case "$enable_doscompile" in
     1907   mingw)
     1908     case $build in
     1909       *-mingw*) enable_doscompile=no ;;
     1910     esac
     1911     ;;
     1912   msvc|no) ;;
     1913   yes) enable_doscompile=mingw ;;
     1914   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1915                    Try configure --help=recursive." >&5
     1916echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1917                    Try configure --help=recursive." >&2;}
     1918   { (exit 1); exit 1; }; }
     1919      ;;
     1920  esac
     1921  if test "$enable_doscompile" != no ; then
     1922    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1923echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1924  fi
    19221925
    19231926
     
    19621965case $build in
    19631966  *-cygwin* | *-mingw*)
    1964              if test "$enable_msvc" = yes ; then
    1965                comps="icl cl gcc"
     1967             if test "$enable_doscompile" = msvc ; then
     1968               comps="icl cl"
    19661969             else
    1967                comps="gcc icl cl"
     1970               comps="gcc cl"
    19681971             fi ;;
    19691972  *-*-solaris*)
     
    28182821            ;;
    28192822        esac
     2823        case $enable_doscompile in
     2824          mingw)
     2825            CFLAGS="-mno-cygwin"
     2826            cat >conftest.$ac_ext <<_ACEOF
     2827/* confdefs.h.  */
     2828_ACEOF
     2829cat confdefs.h >>conftest.$ac_ext
     2830cat >>conftest.$ac_ext <<_ACEOF
     2831/* end confdefs.h.  */
     2832
     2833int
     2834main ()
     2835{
     2836int i=0; i++;
     2837  ;
     2838  return 0;
     2839}
     2840_ACEOF
     2841rm -f conftest.$ac_objext conftest$ac_exeext
     2842if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2843  (eval $ac_link) 2>conftest.er1
     2844  ac_status=$?
     2845  grep -v '^ *+' conftest.er1 >conftest.err
     2846  rm -f conftest.er1
     2847  cat conftest.err >&5
     2848  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2849  (exit $ac_status); } &&
     2850         { ac_try='test -z "$ac_c_werror_flag"
     2851                         || test ! -s conftest.err'
     2852  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2853  (eval $ac_try) 2>&5
     2854  ac_status=$?
     2855  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2856  (exit $ac_status); }; } &&
     2857         { ac_try='test -s conftest$ac_exeext'
     2858  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2859  (eval $ac_try) 2>&5
     2860  ac_status=$?
     2861  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2862  (exit $ac_status); }; }; then
     2863  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2864else
     2865  echo "$as_me: failed program was:" >&5
     2866sed 's/^/| /' conftest.$ac_ext >&5
     2867
     2868fi
     2869rm -f conftest.err conftest.$ac_objext \
     2870      conftest$ac_exeext conftest.$ac_ext
     2871            CFLAGS=
     2872          ;;
     2873        esac
    28202874    esac
    28212875  fi
     
    31583212  clang* ) ;;
    31593213  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3160 
    3161  case $build in
     3214    case $build in
    31623215  *-mingw*)
    31633216    if test "${LD+set}" = set; then :; else
     
    31663219    ;;
    31673220 esac
    3168  if test $enable_msvc = yes ; then
    3169    if test "x${LD+set}" = xset; then :; else
    3170      LD=link
    3171    fi
    3172  fi
     3221 case $enable_doscompile in
     3222   msvc)
     3223     if test "x${LD+set}" = xset; then :; else
     3224       LD=link
     3225     fi
     3226     ;;
     3227 esac
    31733228
    31743229    ;;
     
    31843239case $build in
    31853240  *-cygwin* | *-mingw*)
    3186      if test "$enable_msvc" = yes ; then
    3187        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3241     if test "$enable_doscompile" = msvc ; then
     3242       coin_f77_comps="ifort fl32 compile_f2c"
    31883243     else
    31893244       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34103465
    34113466# Provide some information about the compiler.
    3412 echo "$as_me:3412:" \
     3467echo "$as_me:3467:" \
    34133468     "checking for Fortran 77 compiler version" >&5
    34143469ac_compiler=`set X $ac_compile; echo $2`
     
    35793634    coin_add_fflags="-pipe"
    35803635    coin_dbg_fflags="-g -O0"
     3636    case $enable_doscompile in
     3637      mingw)
     3638        FFLAGS="-mno-cygwin"
     3639        cat >conftest.$ac_ext <<_ACEOF
     3640      program main
     3641      write(*,*) 'Hello world'
     3642      end
     3643_ACEOF
     3644rm -f conftest.$ac_objext conftest$ac_exeext
     3645if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3646  (eval $ac_link) 2>conftest.er1
     3647  ac_status=$?
     3648  grep -v '^ *+' conftest.er1 >conftest.err
     3649  rm -f conftest.er1
     3650  cat conftest.err >&5
     3651  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3652  (exit $ac_status); } &&
     3653         { ac_try='test -z "$ac_f77_werror_flag"
     3654                         || test ! -s conftest.err'
     3655  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3656  (eval $ac_try) 2>&5
     3657  ac_status=$?
     3658  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3659  (exit $ac_status); }; } &&
     3660         { ac_try='test -s conftest$ac_exeext'
     3661  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3662  (eval $ac_try) 2>&5
     3663  ac_status=$?
     3664  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3665  (exit $ac_status); }; }; then
     3666  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3667else
     3668  echo "$as_me: failed program was:" >&5
     3669sed 's/^/| /' conftest.$ac_ext >&5
     3670
     3671fi
     3672rm -f conftest.err conftest.$ac_objext \
     3673      conftest$ac_exeext conftest.$ac_ext
     3674        FFLAGS=
     3675      ;;
     3676    esac
    35813677  else
    35823678    case $build in
     
    38703966case "$F77" in
    38713967  ifort* | */ifort* | IFORT* | */IFORT*)
    3872 
    3873  case $build in
     3968    case $build in
    38743969  *-mingw*)
    38753970    if test "${LD+set}" = set; then :; else
     
    38783973    ;;
    38793974 esac
    3880  if test $enable_msvc = yes ; then
    3881    if test "x${LD+set}" = xset; then :; else
    3882      LD=link
    3883    fi
    3884  fi
     3975 case $enable_doscompile in
     3976   msvc)
     3977     if test "x${LD+set}" = xset; then :; else
     3978       LD=link
     3979     fi
     3980     ;;
     3981 esac
    38853982
    38863983    ;;
     
    39494046ac_save_FFLAGS=$FFLAGS
    39504047FFLAGS="$FFLAGS $ac_verb"
    3951 (eval echo $as_me:3951: \"$ac_link\") >&5
     4048(eval echo $as_me:4048: \"$ac_link\") >&5
    39524049ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39534050echo "$ac_f77_v_output" >&5
     
    40274124ac_save_FFLAGS=$FFLAGS
    40284125FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4029 (eval echo $as_me:4029: \"$ac_link\") >&5
     4126(eval echo $as_me:4126: \"$ac_link\") >&5
    40304127ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40314128echo "$ac_f77_v_output" >&5
     
    72987395*-*-irix6*)
    72997396  # Find out which ABI we are using.
    7300   echo '#line 7300 "configure"' > conftest.$ac_ext
     7397  echo '#line 7397 "configure"' > conftest.$ac_ext
    73017398  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73027399  (eval $ac_compile) 2>&5
     
    98849981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98859982   -e 's:$: $lt_compiler_flag:'`
    9886    (eval echo "\"\$as_me:9886: $lt_compile\"" >&5)
     9983   (eval echo "\"\$as_me:9983: $lt_compile\"" >&5)
    98879984   (eval "$lt_compile" 2>conftest.err)
    98889985   ac_status=$?
    98899986   cat conftest.err >&5
    9890    echo "$as_me:9890: \$? = $ac_status" >&5
     9987   echo "$as_me:9987: \$? = $ac_status" >&5
    98919988   if (exit $ac_status) && test -s "$ac_outfile"; then
    98929989     # The compiler can only warn and ignore the option if not recognized
     
    1015210249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1015310250   -e 's:$: $lt_compiler_flag:'`
    10154    (eval echo "\"\$as_me:10154: $lt_compile\"" >&5)
     10251   (eval echo "\"\$as_me:10251: $lt_compile\"" >&5)
    1015510252   (eval "$lt_compile" 2>conftest.err)
    1015610253   ac_status=$?
    1015710254   cat conftest.err >&5
    10158    echo "$as_me:10158: \$? = $ac_status" >&5
     10255   echo "$as_me:10255: \$? = $ac_status" >&5
    1015910256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1016010257     # The compiler can only warn and ignore the option if not recognized
     
    1025610353   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1025710354   -e 's:$: $lt_compiler_flag:'`
    10258    (eval echo "\"\$as_me:10258: $lt_compile\"" >&5)
     10355   (eval echo "\"\$as_me:10355: $lt_compile\"" >&5)
    1025910356   (eval "$lt_compile" 2>out/conftest.err)
    1026010357   ac_status=$?
    1026110358   cat out/conftest.err >&5
    10262    echo "$as_me:10262: \$? = $ac_status" >&5
     10359   echo "$as_me:10359: \$? = $ac_status" >&5
    1026310360   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1026410361   then
     
    1267312770  lt_status=$lt_dlunknown
    1267412771  cat > conftest.$ac_ext <<EOF
    12675 #line 12675 "configure"
     12772#line 12772 "configure"
    1267612773#include "confdefs.h"
    1267712774
     
    1277312870  lt_status=$lt_dlunknown
    1277412871  cat > conftest.$ac_ext <<EOF
    12775 #line 12775 "configure"
     12872#line 12872 "configure"
    1277612873#include "confdefs.h"
    1277712874
     
    1513315230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513415231   -e 's:$: $lt_compiler_flag:'`
    15135    (eval echo "\"\$as_me:15135: $lt_compile\"" >&5)
     15232   (eval echo "\"\$as_me:15232: $lt_compile\"" >&5)
    1513615233   (eval "$lt_compile" 2>conftest.err)
    1513715234   ac_status=$?
    1513815235   cat conftest.err >&5
    15139    echo "$as_me:15139: \$? = $ac_status" >&5
     15236   echo "$as_me:15236: \$? = $ac_status" >&5
    1514015237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1514115238     # The compiler can only warn and ignore the option if not recognized
     
    1523715334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523815335   -e 's:$: $lt_compiler_flag:'`
    15239    (eval echo "\"\$as_me:15239: $lt_compile\"" >&5)
     15336   (eval echo "\"\$as_me:15336: $lt_compile\"" >&5)
    1524015337   (eval "$lt_compile" 2>out/conftest.err)
    1524115338   ac_status=$?
    1524215339   cat out/conftest.err >&5
    15243    echo "$as_me:15243: \$? = $ac_status" >&5
     15340   echo "$as_me:15340: \$? = $ac_status" >&5
    1524415341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1524515342   then
     
    1680716904   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680816905   -e 's:$: $lt_compiler_flag:'`
    16809    (eval echo "\"\$as_me:16809: $lt_compile\"" >&5)
     16906   (eval echo "\"\$as_me:16906: $lt_compile\"" >&5)
    1681016907   (eval "$lt_compile" 2>conftest.err)
    1681116908   ac_status=$?
    1681216909   cat conftest.err >&5
    16813    echo "$as_me:16813: \$? = $ac_status" >&5
     16910   echo "$as_me:16910: \$? = $ac_status" >&5
    1681416911   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681516912     # The compiler can only warn and ignore the option if not recognized
     
    1691117008   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691217009   -e 's:$: $lt_compiler_flag:'`
    16913    (eval echo "\"\$as_me:16913: $lt_compile\"" >&5)
     17010   (eval echo "\"\$as_me:17010: $lt_compile\"" >&5)
    1691417011   (eval "$lt_compile" 2>out/conftest.err)
    1691517012   ac_status=$?
    1691617013   cat out/conftest.err >&5
    16917    echo "$as_me:16917: \$? = $ac_status" >&5
     17014   echo "$as_me:17014: \$? = $ac_status" >&5
    1691817015   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1691917016   then
     
    1911819215   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1911919216   -e 's:$: $lt_compiler_flag:'`
    19120    (eval echo "\"\$as_me:19120: $lt_compile\"" >&5)
     19217   (eval echo "\"\$as_me:19217: $lt_compile\"" >&5)
    1912119218   (eval "$lt_compile" 2>conftest.err)
    1912219219   ac_status=$?
    1912319220   cat conftest.err >&5
    19124    echo "$as_me:19124: \$? = $ac_status" >&5
     19221   echo "$as_me:19221: \$? = $ac_status" >&5
    1912519222   if (exit $ac_status) && test -s "$ac_outfile"; then
    1912619223     # The compiler can only warn and ignore the option if not recognized
     
    1938619483   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1938719484   -e 's:$: $lt_compiler_flag:'`
    19388    (eval echo "\"\$as_me:19388: $lt_compile\"" >&5)
     19485   (eval echo "\"\$as_me:19485: $lt_compile\"" >&5)
    1938919486   (eval "$lt_compile" 2>conftest.err)
    1939019487   ac_status=$?
    1939119488   cat conftest.err >&5
    19392    echo "$as_me:19392: \$? = $ac_status" >&5
     19489   echo "$as_me:19489: \$? = $ac_status" >&5
    1939319490   if (exit $ac_status) && test -s "$ac_outfile"; then
    1939419491     # The compiler can only warn and ignore the option if not recognized
     
    1949019587   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1949119588   -e 's:$: $lt_compiler_flag:'`
    19492    (eval echo "\"\$as_me:19492: $lt_compile\"" >&5)
     19589   (eval echo "\"\$as_me:19589: $lt_compile\"" >&5)
    1949319590   (eval "$lt_compile" 2>out/conftest.err)
    1949419591   ac_status=$?
    1949519592   cat out/conftest.err >&5
    19496    echo "$as_me:19496: \$? = $ac_status" >&5
     19593   echo "$as_me:19593: \$? = $ac_status" >&5
    1949719594   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1949819595   then
     
    2242422521echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2242522522coin_link_input_cmd="$LN_S"
     22523if test "$enable_doscompile" = mingw; then
     22524  coin_link_input_cmd=cp
     22525fi
    2242622526case "$CC" in
    2242722527  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.